#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-1.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-1.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-2.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-2.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-3.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-3.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-4.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-4.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-5.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-5.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-6.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-6.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-7.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-7.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=8 --port=5008 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-8.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-8.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=9 --port=5009 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-9.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-9.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=10 --port=5010 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-10.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-10.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=11 --port=5011 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-11.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-11.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=12 --port=5012 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-12.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-12.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=13 --port=5013 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-13.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72-13.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_72.opt >/dev/null 2>&1 &
/usr/bin/time --portability -o house_ctx_13_alph_2_ifc_1_br_2_idx_72-dmcsopt-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=13 > house_ctx_13_alph_2_ifc_1_br_2_idx_72-dmcsopt.log 2> house_ctx_13_alph_2_ifc_1_br_2_idx_72-dmcsopt-err.log
killall dmcsd
