#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-1.lp --br=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-1.br --topology=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-2.lp --br=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-2.br --topology=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-3.lp --br=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69-3.br --topology=$TESTSPATH/tree_ctx_03_alph_2_ifc_1_br_2_idx_69.top >/dev/null 2>&1 &
/usr/bin/time --portability -o tree_ctx_03_alph_2_ifc_1_br_2_idx_69-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=3 --query-variables="18446744073709551615 3 5 " > tree_ctx_03_alph_2_ifc_1_br_2_idx_69-dmcs.log 2> tree_ctx_03_alph_2_ifc_1_br_2_idx_69-dmcs-err.log
killall dmcsd
