#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-1.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-1.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-2.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-2.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-3.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-3.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-4.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-4.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-5.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-5.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-6.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-6.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-7.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-7.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=8 --port=5008 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-8.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-8.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=9 --port=5009 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-9.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-9.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=10 --port=5010 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-10.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-10.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=11 --port=5011 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-11.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-11.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=12 --port=5012 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-12.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-12.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=13 --port=5013 --kb=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-13.lp --br=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75-13.br --topology=$TESTSPATH/house_ctx_13_alph_2_ifc_1_br_2_idx_75.top >/dev/null 2>&1 &
/usr/bin/time --portability -o house_ctx_13_alph_2_ifc_1_br_2_idx_75-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=13 --query-variables="18446744073709551615 5 3 5 3 3 3 3 3 3 3 5 5 " > house_ctx_13_alph_2_ifc_1_br_2_idx_75-dmcs.log 2> house_ctx_13_alph_2_ifc_1_br_2_idx_75-dmcs-err.log
killall dmcsd
